#pragma once

#include <clippy/project_list.hpp>
#include <clippy/target.hpp>

#include <vector>
#include <string>
#include <memory>

class Clippy {
 public:
  void Run(const std::vector<std::string>& args);

  using TargetPtr = std::unique_ptr<clippy::targets::Target>;
 private:
  TargetPtr TryExecuteClippyCommand(const std::vector<std::string>& args);

  ProjectList projects_;
};
